=== modified file 'bzrlib/tests/blackbox/test_diff.py'
--- bzrlib/tests/blackbox/test_diff.py	2006-05-04 05:02:55 +0000
+++ bzrlib/tests/blackbox/test_diff.py	2006-05-04 05:09:17 +0000
@@ -30,10 +30,10 @@
     def make_example_branch(test):
         # FIXME: copied from test_too_much -- share elsewhere?
         test.runbzr('init')
-        file('hello', 'wt').write('foo')
+        file('hello', 'wt').write('foo\n')
         test.runbzr('add hello')
         test.runbzr('commit -m setup hello')
-        file('goodbye', 'wt').write('baz')
+        file('goodbye', 'wt').write('baz\n')
         test.runbzr('add goodbye')
         test.runbzr('commit -m setup goodbye')
 
@@ -50,6 +50,21 @@
         os.unlink('moo')
         self.runbzr('diff')
 
+    def test_diff_prefix(self):
+        self.make_example_branch()
+        file('hello', 'wt').write('hello world!\n')
+        out, err = self.runbzr('diff --diff-prefix old/:new/', retcode=1)
+        self.assertEquals(err, '')
+        self.assertEqualDiff(out, '''\
+=== modified file 'old/hello'
+--- old/hello\t
++++ new/hello\t
+@@ -1,1 +1,1 @@
+-foo
++hello world!
+
+''')
+
     def test_diff_nonexistent(self):
         # Get an error from a file that does not exist at all
         # (Malone #3619)

